% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data.R
\docType{data}
\name{builddata}
\alias{builddata}
\title{U.S. Military overseas construction spending data}
\format{
A data frame with country-base observations including the following variables:
\describe{
\item{\code{countryname}}{A character vector of country names.}
\item{\code{ccode}}{A numeric vector of Correlates of War country codes.}
\item{\code{year}}{Year of observed country-year spending.}
\item{\code{iso3c}}{A character vector of ISO three character country codes.}
\item{\code{location}}{Name of the facility where spending occurred, or host country where detailed facility information is unavailable.}
\item{\code{spend_construction}}{Total obligational authority associated with the observed location-year in thousands of current US dollars.}
\item{\code{lat}}{The facility's latitude.}
\item{\code{lon}}{The facility's longitude.}
}
}
\usage{
builddata
}
\value{
Returns the full data frame containing location-project-year observations of U.S. military construction spending data from 2008-2019.
}
\description{
\code{builddata} returns a data frame containing geocoded location-project-year overseas military construction spending data.
}
\keyword{datasets}
